UNAME(3)

NAME
uname - get system identification

SYNOPSIS
#include <sys/utsname.h>
int
uname(struct utsname *name);

DESCRIPTION
The uname() function stores nul-terminated strings of information identifying the current system into the structure referenced by name.

The utsname structure is defined in the <sys/utsname.h> header file, and contains the following members:

sysname
    Name of the operating system implementation.

nodename
    Network name of this machine.

release
    Release level of the operating system.

version
    Version level of the operating system.

machine
    Machine hardware platform.

RETURN VALUES
If uname() is successful, 0 is returned, otherwise, -1 is returned and errno is set appropriately.

ERRORS
The uname() function may fail and set errno for any of the errors specified for the library functions sysctl(3).

SEE ALSO
uname(1), sysctl(3)

STANDARDS
The uname() function conforms to p1003.1-88.

HISTORY
The uname() function first appeared in 4.4BSD.